<?php

/**
 * 常用JS类
 *
 * @author Wzb
 *        
 */
class COM_OftenJavaScript {
	
	/**
	 * 显示对话框后返回
	 *
	 * @param string $info 对话框显示的内容
	 */
	public static function alertGoBack($info) {
		$js = "alert('$info');history.back();";
		return self::_commHtml ( $js );
	}
	
	/**
	 * 跳转到指定页面
	 *
	 * @param string $url 跳转的地址
	 */
	public static function goToUrl($url) {
		$js = "window.document.location.href=\"$url\"";
		return self::_commHtml ( $js );
	}
	
	/**
	 * 显示对话框跳转到指定页面
	 *
	 * @param string $info 对话框的内容
	 * @param string $url 跳转的地址
	 */
	public static function alertGoToUrl($info, $url) {
		$js = "alert('$info');window.document.location.href=\"$url\"";
		return self::_commHtml ( $js );
	}
	
	/**
	 * 刷新父窗口
	 *
	 * @param string $anchor='' 锚点
	 */
	public static function parentRefurbish($anchor = '') {
		if (! empty ( $anchor )) {
			$js = "parent.location.href=parent.location.href+'$anchor';";
		} else {
			$js = "parent.location.href=parent.location.href;";
		}
		return self::_commHtml ( $js );
	}
	
	/**
	 * 根据指定路径刷新父窗口
	 *
	 * @param string $url 刷新父窗口的地址
	 */
	public static function parentRefurbishUrl($url) {
		$js = "parent.location.href='$url';";
		return self::_commHtml ( $js );
	}
	
	/**
	 * 父窗口弹出弹出框
	 *
	 * @param string $info 父窗口的对话框内容
	 */
	public static function parentAlert($info) {
		$js = "parent.alert('$info');";
		return self::_commHtml ( $js );
	}
	
	/**
	 * 父窗口弹出弹出框且刷新父窗口
	 *
	 * @param string $info 父窗口的对话框内容
	 */
	public static function parentAlertRefurbishParent($info) {
		$js = "parent.alert('$info');parent.location.href=parent.location.href;";
		return self::_commHtml ( $js );
	}
	
	/**
	 * 父窗口显示对话框跳转到指定页面
	 *
	 * @param string $info 父窗口的对话框内容
	 * @param string $url 刷新父窗口的地址
	 */
	public static function parentAlertRefurbishParentUrl($info, $url) {
		$js = "parent.alert('$info');parent.location.href=\"$url\";";
		return self::_commHtml ( $js );
	}
	
	/**
	 * 显示描述信息
	 *
	 * @param string $info 描述信息
	 */
	public static function showInfo($info) {
		return self::_commHtml ( $info, false );
	}
	
	/**
	 * 基础THML
	 *
	 * @param string $javaScript
	 * @param bool $isjs 是否为JS 默认值：true
	 * @return string
	 */
	private static function _commHtml($javaScript, $isjs = true) {
		$value = '';
		$value .= '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">';
		$value .= '<html xmlns="http://www.w3.org/1999/xhtml">';
		$value .= '<head>';
		$value .= '<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />';
		$value .= '</head>';
		$value .= '<body>';
		if ($isjs) {
			$value .= '<script type="text/javascript">';
			$value .= $javaScript;
			$value .= '</script>';
		} else {
			$value .= $javaScript;
		}
		$value .= '</body>';
		$value .= '</html>';
		return $value;
	}
}
?>